Subject: Can you imagine that you are healthy?

From: "Rosario Swanson" <[email-masked]>
Date: Thu, 30 Aug 2007 09:08:32 -0200

LegalRX drug-shop offers all meds you require to renew your health with a little cost. 
We operate all over the planet with customers from all continents. 
At the time you got no need to seek out chemist's shop at your local area.
We surely deliver medicinal preparations of the best quality world-wide. 

Visit our site and order preparations you need instantly direct to your home. 
http://chickcourse.cn/ 

We are ratified by VeriSign & VISA hence we provide safe & reliable purchasing.